"/ VDB init script
"/ Current VDB instance (instance of VDBDebuggerApplication) can be accessed
"/ in via variable `vdb`
"/ Current GDB instance (instance of GDBDebugger) can be accessed via
"/ `vdb debugger`.

"/ Load plugins.
"/
"/   Smalltalk loadPackage: 'jv:vdb/plugins/xyz'

"/ Set console prompt
"/
"/   vdb debugger send: 'set prompt vdb > '.

"/ Set light mode (theme)
"/
"/   View defaultStyle:#'Adwaita'.
"/   UserPreferences current codeViewTheme: Solarized new.    "/ choose one...
"/   UserPreferences current codeViewTheme: nil.              "/ ...or the other
"/
"/ Set dark mode
"/
"/   View defaultStyle:#'Adwaita_dark'.
"/   UserPreferences current codeViewTheme: SolarizedDark new. "/ choose one...
"/   UserPreferences current codeViewTheme: Monokai new.       "/ ...or the other


"/ Set default text font for all text and list views
"/
"/   VDBAbstractApplication defaultTextFont: (FontDescription family:#'DejaVu Sans Mono' face:#normal size:12).
"/   VDBAbstractApplication defaultTextFont: (CodeView defaultFont asSize: 16).

"/ Choose debugger layout. For list of layouts, see VDBDebuggerApplicaton class,
"/ protocol 'interface specs - layouts'. Default is #layoutEclipseSpec.
"/
"/   vdb layout: #layoutEclipseSpec.
"/   vdb layout: #layoutIDAProSpec.
"/   vdb layout: #layoutSingleSpec.

"/ Enable pretty printers and frame filters in user interface.
"/ Very likely you want this, if you want to turn the off
"/ (not recommended), comment out following:
vdb debugger enablePrettyPrinting.
vdb debugger enableFrameFilters.
